<template>
  <div class="win">
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <ul>
          <li :title="storagePlaceId.Name"><span class="namer">监测点名称：</span>{{ storagePlaceId.Name }}</li>
          <li :title="storagePlaceId.porltName"><span class="namer">生产单位：</span>{{ storagePlaceId.porltName }}</li>
          <li :title="storagePlaceId.MonTypeName"><span class="namer">排放类型名称：</span>{{ storagePlaceId.MonTypeName }}</li>
          <li :title="storagePlaceId.EmissDirecti"><span class="namer">排放去向：</span>{{ storagePlaceId.EmissDirecti }}</li>
          <li :title="storagePlaceId.ContrLevelShowName"><span class="namer">控制级别名称：</span>{{ storagePlaceId.ContrLevelShowName }}</li>
          <li :title="storagePlaceId.OrOutPortName"><span class="namer">内/外排口：</span>{{ storagePlaceId.OrOutPortName }}</li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>

// import mapApi from '@/api/mapApi'

export default {
  name: 'GasTable',
  props: ['storagePlaceId'],
  data () {
    return {
      tabList: []
    }
  },
  mounted () {
    this.$nextTick(() => {
      // this.getTabsData()
    })
  },
  methods: {
    // async refsDataTabs (data) {
    //   console.log(data)
    //   // const dataValue = {
    //   //   StoragePlaceId: data
    //   // }
    //   // const resultBasic = await mapApi.getWasteGasDetails(dataValue)
    //   // console.log(resultBasic)
    // }
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 0.04rem;
  background-color: @background-color;
}

.main {

  .main-matter {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      //width: 100%;
      //height: 100%;
      display: flex;
      align-items: center;
      flex-wrap: wrap;

      li {
        margin: 0.02rem 0.03rem;
        min-width: 31%;
        box-shadow: 0 0 10px rgba(129,211,248,.35) inset;
        color: #00fff6;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.03rem .5%;
        max-width: 1.2rem;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        .namer{
          display: inline-block;
          width: .6rem;
          text-align: right;
        }
      }

      .lastli {
        visibility: hidden
      }
    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
